!   <@(#) coriol.F	4.8 3/28/94 PSS>
      subroutine CORIOL(len, km, nwater, nland,
     &                  H, U, V,
     &                  Area_h,F,U_metric,V_metric,
     &                  ieast,inorth,
     &                  U_tend,V_tend)
      implicit none
      

      integer len
      integer km
      integer nwater
      integer nland
      real H(LEN,KM)
      real U(LEN,KM)
      real V(LEN,KM)
      real Area_h(LEN)
      real F(LEN)
      real U_metric(LEN)
      real V_metric(LEN)
      integer ieast(LEN)
      integer inorth(LEN)
      real U_tend(LEN,KM)
      real V_tend(LEN,KM)

c==> Local Variables
      integer i,k
      real Wk1(LEN),Wk2(LEN)
      real C4      
c---------------------------------------------------------------------

      
      do i=nwater+1,nwater+nland
       Wk1(i) = 0.
       Wk2(i) = 0.
      end do
  

      do k=1,KM
       do i=1,nwater
        Wk2(i) = H(i,k)*Area_h(i)
       enddo
       do i=1,nwater
        Wk1(i) = (Wk2(i) + Wk2(ieast(i)) )
       end do
       
  
       do i=1,nwater
        C4 = (F(i) +  U(i,k)*U_metric(i)
     &              + V(i,k)*V_metric(i) )*.25
        U_tend(i,k) = 
     &        U_tend(i,k)+V(i,k)*(Wk1(i)+Wk1(inorth(i)))*C4
        V_tend(i,k) = 
     &        V_tend(i,k)-U(i,k)*(Wk1(i)+Wk1(inorth(i)))*C4 
       end do
  
      end do
      return
      end


